UHU: Szevasztok!

 ( paca5 | 2003. március 27., csütörtök - 8:26 )

Letölthető az 1.0-rc3 a szokásos helyről. Egy CD image 73 perc 59 másodperc hosszúságban. A többi csomag külön leszedhető a packages/tobbi könyvtárból.Az rc2.1-hez képest a legfőbb újdonságot a főbb grafikus komponensek frissítése jelenti: XFree86 4.3, Gnome 2.2.1, KDE 3.1.1, Mozilla 1.3, Galeon 1.3.3. Frissült az alap rendszer is: glibc 2.3.2, gcc 3.2.2. Ezen felül természetesen sok egyéb programfrissítés és hibajavítás is történt, valamint sok vadonat új csomag is megjelent az FTP-n a "tobbi" könyvtár alatt.

Új telepítés esetén egyetlen ismert szépséghiba van: az első rendszerindulás során a cupsd első alkalommal nagyon lassan indul el (lassabb gépen ez több perc is lehet). Második és további rendszerindítások esetén már gyorsan elindul.


Frissítéshez nem készítettünk szkriptet, de aki végigjátszotta az rc2 -> rc2.1 frissítést, az most is körülbelül akkora mennyiségű munkára számíthat. Néhány csomag van, ami átkeresztelődött, átszerveződött, megszűnt; ezeket egyesével kell leszedni illetve felrakni, a többi csomag frissíthető például az apt programmal. Az alábbi módon járjunk el:

- Mindenek előtt a glibc, majd a gcc-lib csomagot frissítsük. (dpkg -i fájlnév)
- Távolítsuk el a readlink és realpath csomagokat (dpkg --purge --force-depends csomagnév), majd frissítsük a coreutils csomagot
- Távolítsuk el vagy frissítsük a mawk csomagot, majd telepítsük a gawk-ot.
- A gnome2-user-docs-hu csomag megszűnt, távolítsuk el, tartalma az új gnome2-user-docs csomagban megtalálható.
- További csomagátnevezések: python2.2 -> python, tcl8.4 -> tcl, glade1.1 -> glade2. A régi csomagot általában --force-depends
kapcsolóval tudjuk eltávolítani.
- A mozilla csomagok is teljesen átneveződtek, átszerveződtek. Távolítsuk el az összes régi mozilla csomagot (dpkg -l "mozilla*") az újak telepítése előtt.
- Remélem, nem felejtettem ki semmit, és a többi csomag már simán fel fog menni.
- Telepítsük pluszban a gnome2-terminal csomagot is.
- A gnome2-common megszűnt, a gnome-core sem fontos, leszedhető.

A frissítés után az XF86Config fájlban a TTF könyvtárat engedélyezhetjük, már nem száll el tőle az X. A freetype csomag (1-es verzió) és a ttmkfdir parancs megszűnt, utóbbi helyett az X-ben lévő mkfontscale parancs használható.

Azok, akik régi rendszert frissítenek, vagy újratelepítenek, de régi home-ot használnak tovább, az alábbiakra figyeljenek:

- A gnome alapértelmezett ablakkezelője eddig a sawfish volt, mostantól a metacity. Régi felhasználóknak még a sawfish jön be, kivéve ha átállítják. Új felhasználók a metacity-t kapják meg alapból.
- A gnome billentyűzetkiosztás-váltóját a régi beállítással használva a Ctrl+Alt+F1 és ilyesmi gombok nem fognak működni. Megoldás: állítsuk át az applet-et, hogy a "gkb_xmmap akármi" helyett a "setxkbmap hu" és "setxkbmap us" parancsokat használja a váltáshoz.

Szeretnénk a nagyon közeli jövőben kiadni az 1.0 számozású disztribúciót, amely az rc3-hoz képest már csak apró hibajavításokat fog tartalmazni, komoly változtatást nem. Grafikacsere várható hogy történni fog, a KDE alap betűkészlete most nagyon csúnya (bár pillanatok alatt átállítható), ezt még javítani fogjuk, és ehhez hasonó kaliberű dolgokat keresünk még egy-kettőt. Ilyen téren minden visszajelzés nagyon fontos, így örülünk,
hogyha aki csak teheti, rendelkezik sávszélességgel és szeret lépést tartani a fejlesztéssel, az kipróbálja az új disztribet. Ugyanakkor ez azt is jelenti, hogy nem feltétlenül érdemes most hatalmas CD-másolásba kezdeni, ugyanis ha valakihez mondjuk két hét múlva jut el a disztrib, már
valószínűleg nem fog tudni hozzájárulni az 1.0 kiadás jobbá tételéhez. Azoknak tehát, akik nem tudják gyorsan megszerezni a CD-t, illetve azoknak, akik egyszerűen csak használni szeretnének egy jól működő UHU-t, és meg vannak elégedve jelenlegi rendszerükkel, inkább azt javasoljuk, hogy várják meg a végleges 1.0-t.

Tehát az rc3 viselhetné a "most már szeretnénk kiadni az 1.0-t, majdnem így fog kinézni" fedőnevet it is. Ehelyett a jóval rövidebb Ludwig nevet kapta. Lehet tippelni, hogy miért :-))) Már céloztam rá ebben a levélben. BrOnZ nem tippelhet, ő tudja a választ :-)))))

Akik nem kívánnak frissíteni, rc2-t vagy rc2.1-et használnak, viszont nem megbízható személyeknek is van account-juk a gépre, javasoljuk, hogy az rc3-ból szedett kernel csomagot mindenképp telepítsék, ugyanis nemrég napvilágott látott egy súlyos ptrace hiba a kernelben, amelyet kihasználva bármely helyi felhasználó könnyedén root jogot tud szerezni. Ezt a hibát az rc3 kernelében javítottuk.

Sok sikert!

Az UHU csapat

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

a kerdesed elso reszere a valasz IGEN. a masodikra pedig NEM: uhu != deb...

Nem...
Az Uhu csomagkezelésnek a dpkg-t használja (ennyi a hasonlóság...)
Az Uhu nem deb csomagokat hanem .uhu csomagokat használ...

hi,
kernel maradt 2.4.20?
üdv
gaboro

Nos. Az uhu a dpkg-t hasznalja mint csomagkezelo. De a "csomagolasi" folyamat es scriptek, meg az egesz env. teljesen mas. Lehet hogy meg nem implementaltak megfelelo cuccot az uhubuild-ba hogy replaces mezot is lehessen csinalni. En meg nem talalkoztam vele, pedig elegge uhu csomagfejleszto vagyok, ettol fuggetlenul lehet hogy letezik :)

A jvooben valoszinuleg ezis megfog oldodni.

UDv.
-kRiX-